/*
Theme Name: OceanWP Child
Theme URI: https://example.com/
Author: Goldfields
Template: oceanwp
Version: 1.0.0
Description: Child theme for OceanWP to hold custom menu styling.
Text Domain: oceanwp-child
*/

/* Keep custom styling in mega-menu.css */

.sf-menu ul.sub-menu {
    position: absolute;
    visibility: hidden;
    top: 100%;
    left: 0;
    z-index: 9999;
    width: 1920px !important;
    left: -785px !important;
    height: 150px;
    padding-top: 50px;
}

.center-menu #site-navigation-wrap {
    position: absolute;
    float: none;
    left: 50%;
    right: auto;
    -webkit-transform: translateX(-50%);
    -moz-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    -o-transform: translateX(-50%);
    transform: translateX(-50%);
    margin-top: 100px !important;
}

#site-logo {
    float: left;
    height: 100%;
    display: table;
    margin-left: 30px;
    margin-top: 20px;
    margin-bottom: -78px;
}

.navigation li.megamenu-li .megamenu.col-2>li {
    width: 20%;
}

.navigation li.megamenu-li .megamenu.col-2>li {
    width: 100%;
    background-color: #ffffff;
    height: 50px;
    top: -29px;
}

.navigation li.megamenu-li .megamenu.col-2 > li:first-child {
    padding-top: 10px;     
    border-top: 2px solid #0171bd; 
}

.navigation .megamenu li a.menu-link {
    padding: 12px 100px;
    margin-left: 610px;
}


/* wrapper spacing if needed */
.wpcf7 {
    max-width: 600px;
}

/* Common input + textarea styling */
.cf7-modern-input,
.cf7-modern-textarea {
    width: 100%;
    padding: 12px 14px;
    font-size: 15px;
    border: 1px solid #ccd3dd;
    border-radius: 6px;
    background: #f7f9fc;
    color: #222;
    box-sizing: border-box;
    transition: 0.2s ease;
}

/* Textarea */
.cf7-modern-textarea {
    min-height: 100px !important;
    resize: vertical;
}

/* Placeholder color */
.cf7-modern-input::placeholder,
.cf7-modern-textarea::placeholder {
    color: #9aa3b5;
}

/* Focus style */
.cf7-modern-input:focus,
.cf7-modern-textarea:focus {
    outline: none;
    border-color: #1e88e5;
    background: #ffffff;
    box-shadow: 0 0 0 2px rgba(30,136,229,0.18);
}


/* Hover & active */
.cf7-modern-submit:hover {
    transform: translateY(-1px);
    box-shadow: 0 10px 24px rgba(30,136,229,0.4);
}

.cf7-modern-submit:active {
    transform: translateY(0);
    box-shadow: 0 4px 10px rgba(30,136,229,0.25);
}

#contact-box {
 box-shadow: 0 4px 6px rgba(0,0,0,0.10), 
                0 2px 4px rgba(0,0,0,0.06);
}

#wpcf7-f6-p84-o1 > form > p:nth-child(6) > input {
background-color: #0171bd;
color: #ffffff;
}
